package com.hfkj.service.goods;

import com.hfkj.entity.BsOrderMeituan;

public interface BsOrderMeiTuanService {

    /**
     * @MethodName create
     * @Description: 创建
     * @param orderMeiTuan
     * @Author: Sum1Dream
     * @Date: 2024/9/5 下午4:18
     */
    void create(BsOrderMeituan orderMeiTuan);

    /**
     * @MethodName update
     * @Description: 更新
     * @param orderMeiTuan
     * @Author: Sum1Dream
     * @Date: 2024/9/5 下午4:19
     */
    void update(BsOrderMeituan orderMeiTuan);

    /**
     * @MethodName delete
     * @Description: 删除
     * @param id
     * @param fullDelete
     * @Author: Sum1Dream
     * @Date: 2024/9/5 下午4:19
     */
    void delete(Long id , Boolean fullDelete);

    /**
     * @MethodName queryDetail
     * @Description: 查询详情
     * @param id
     * @return: com.hfkj.entity.BsOrderMeituan
     * @Author: Sum1Dream
     * @Date: 2024/9/5 下午4:19
     */
    BsOrderMeituan queryDetail(Long id);

    /**
     * @MethodName findOrderMeiTuan
     * @Description: 根据订单号查询
     * @param childOrderNo
     * @return: com.hfkj.entity.BsOrderMeituan
     * @Author: Sum1Dream
     * @Date: 2024/9/5 下午4:22
     */
    BsOrderMeituan findOrderMeiTuan(String childOrderNo);

    /**
     * @MethodName findOrderMeiTuanByTradeNo
     * @Description: 通过渠道订单号查询
     * @param tradeNo
     * @return: com.hfkj.entity.BsOrderMeituan
     * @Author: Sum1Dream
     * @Date: 2024/9/18 下午5:54
     */
    BsOrderMeituan findOrderMeiTuanByTradeNo(String tradeNo);



}
